Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 76449 - FreeNX 0.2.7 - test results and patches
Summary: FreeNX 0.2.7 - test results and patches
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 63757
  Show dependency tree
 
Reported: 2005-01-02 14:35 UTC by Neil Wilson
Modified: 2005-02-19 02:20 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nxclient shell script loop patch (nxclient-loop-patch.diff,881 bytes, patch)
2005-01-02 14:39 UTC, Neil Wilson
Details | Diff
NXclient binary ebuild - including missing nxssh dependency (nxclient-1.4.0-r4.ebuild,1.77 KB, text/plain)
2005-01-02 14:46 UTC, Neil Wilson
Details
Patch to nxserver allowing session descriptions with spaces (nxserver-arg-patch.diff,295 bytes, patch)
2005-01-02 16:25 UTC, Neil Wilson
Details | Diff
FreeNX ebuild - no binary dependency. (nxserver-freenx-0.2.7-r1.ebuild,3.19 KB, text/plain)
2005-01-02 16:32 UTC, Neil Wilson
Details
No binary dep for freenx-0.2.7 (nxserver-freenx-0.2.7-r1.ebuild,2.83 KB, text/plain)
2005-01-27 05:17 UTC, Jon Severinsson
Details
A 0.2.8_pre ebuild based my 0.2.7-r1 but using Fabian's 2005-01-27 snappshot (nxserver-freenx-0.2.8_pre20050127.ebuild,2.77 KB, text/plain)
2005-01-27 05:22 UTC, Jon Severinsson
Details
A 0.2.8_pre ebuild using Fabian's 2005-01-27 snappshot (nxserver-freenx-0.2.8_pre20050127.ebuild,3.24 KB, text/plain)
2005-01-28 07:59 UTC, Jon Severinsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neil Wilson 2005-01-02 14:35:50 UTC
A couple of patches to start with.

The first is to the nxclient shell script, which is indeed a drop in replacement for the binary client as long as you fix stop it looping at the beginning of the script.

The second is to the nxclient binary ebuild which is missing a dependency on nxssh.
Comment 1 Neil Wilson 2005-01-02 14:39:12 UTC
Created attachment 47401 [details, diff]
nxclient shell script loop patch
Comment 2 Neil Wilson 2005-01-02 14:46:54 UTC
Created attachment 47403 [details]
NXclient binary ebuild - including missing nxssh dependency

The ebuild adds the missing dependency on nxssh.

--- /usr/portage/net-misc/nxclient/nxclient-1.4.0-r3.ebuild	2005-01-02
09:38:31.000000000 +0000
+++ nxclient-1.4.0-r4.ebuild	2005-01-02 21:18:29.000000000 +0000
@@ -27,6 +27,7 @@
	>=x11-libs/qt-3.3.2
	net-misc/nx-x11
	>=net-misc/nxproxy-1.4.0
+	>=net-misc/nxssh-1.4.0
	net-analyzer/gnu-netcat"

 S="${WORKDIR}"
Comment 3 Neil Wilson 2005-01-02 16:25:31 UTC
Created attachment 47415 [details, diff]
Patch to nxserver allowing session descriptions with spaces

Missing quotes round a $@
Comment 4 Neil Wilson 2005-01-02 16:32:49 UTC
Created attachment 47416 [details]
FreeNX ebuild - no binary dependency.

This ebuild incorporates the fixes to the nxclient and nxserver shell scripts
and codes to install the nxclient shell script if the binary nxclient has not
been installed by portage or by hand. Without a use flag I can't see a way of
ensuring that the binary is version 1.4.

Without the dependency on the binary the server is fully open-source. Neither
is there a need for nxssh.

The nxclient script uses either xmessage or xdialog to display the session
control dialogs.
Comment 5 STefan 2005-01-21 02:58:01 UTC
Is anyone maintaining this ebuild?

The latest ebuild needs just a couple of fixes, like these here and then should be ready to go stable.

Running and testing it since yesterday
Comment 6 Jon Severinsson 2005-01-27 05:17:42 UTC
Created attachment 49651 [details]
No binary dep for freenx-0.2.7

Reading ebuild subbmitted by Neil Wilson i wonder if this line wouldn't to the
job just as well:
[ -f ${NX_BIN_DIR}/nxclient ] || dobin nxclient

In adition I must add that Neil's ebuild is missing dependancies on
">=net-misc/nxproxy-1.4.0" and ">=net-misc/nxssh-1.4.0" (previously satisified
by the nxclient dependancy.

I have created a 0.2.7-r1 based upon the original 0.2.7 but using my line and
no binary dependancies. As Fabian Franz has released a new freenx snapshot, I
have also created a 0.2.8_pre20050127, using the snappshot and no patch files
(as all mentioned in gentoo bugzilla is included).
Both are running perfectly for me.
Comment 7 Jon Severinsson 2005-01-27 05:22:10 UTC
Created attachment 49652 [details]
A 0.2.8_pre ebuild based my 0.2.7-r1 but using Fabian's 2005-01-27 snappshot
Comment 8 STefan 2005-01-27 08:15:53 UTC
Is there a reason why 'dobin nxsetup' is left out from the ebuild?

I have to test that new snapshot, since the 0.27 release has got the problem that it doesn't set the keyboard layout correctly if you connect with setting german keyword.

I always have to run setxkbmap de after login to workaround this problem.
Comment 9 Jon Severinsson 2005-01-28 07:59:06 UTC
Created attachment 49743 [details]
A 0.2.8_pre ebuild using Fabian's 2005-01-27 snappshot

I have found a situation when my previous ebuild didn't work: When upgrading
(or downgrading) the NX server the nxclient script is left alone, and then
removed with the older (or newer) version. Perhaps the way Neil does it is
better, but his ebuild are still missing dependencies. I've fixed my 0.2.8_pre
ebuild, and it seems to work. To get a working 0.2.7 ebuild you just have to
merge mine and Niel's.

To answer STefan:
> Is there a reason why 'dobin nxsetup' is left out from the ebuild?
I think it's because the ebuild is doing the job of the nxsetup script, so you
will never have to run it.

> I have to test that new snapshot, since the 0.27 release has got the problem
that it doesn't set the keyboard layout correctly if you connect with setting
german keyword.
If your problem is still present using the snapshot, please post as much info
as you can in the new bug tracking system for freeNX at
http://developer.berlios.de/projects/freenx/
Comment 10 Stuart Herbert (RETIRED) gentoo-dev 2005-02-19 02:20:08 UTC
nxserver-freenx-0.2.8 is now in Portage.  Here's the ChangeLog entry:

  Version bump; 
  Bug 76449: shell script loop patch; Neil Wilson <neil@aldur.co.uk>
  Bug 76449: support for session names with spaces; Neil Wilson <neil@aldur.co.uk>
  New USE flag 'commercial' if you want to use freenx w/ NoMachine's nxclient
  stable on x86

Best regards,
Stu